Main Page Modules Alphabetical List Compound List File List Compound Members File Members

# pgfx_lib Struct Reference
[Data Structures]

Defines the rendering backend. More...

`#include <pgfx.h>`

List of all members.

## Public Attributes
pgprim(* | pixel )(pgcontext c, pgu x, pgu y)
| Implementation of pgPixel.
pgprim(* | line )(pgcontext c, pgu x1, pgu y1, pgu x2, pgu y2)
| Implementation of pgLine.
pgprim(* | rect )(pgcontext c, pgu x, pgu y, pgu w, pgu h)
| Implementation of pgRect.
pgprim(* | frame )(pgcontext c, pgu x, pgu y, pgu w, pgu h)
| Implementation of pgFrame.
pgprim(* | slab )(pgcontext c, pgu x, pgu y, pgu w)
| Implementation of pgSlab.
pgprim(* | bar )(pgcontext c, pgu x, pgu y, pgu h)
| Implementation of pgBar.
pgprim(* | ellipse )(pgcontext c, pgu x, pgu y, pgu w, pgu h)
| Implementation of pgEllipse.
pgprim(* | fellipse )(pgcontext c, pgu x, pgu y, pgu w, pgu h)
| Implementation of pgFEllipse.
pgprim(* | fpolygon )(pgcontext c, pghandle array)
| Implementation of pgFPolygon.
pgprim(* | text )(pgcontext c, pgu x, pgu y, pghandle string)
| Implementation of pgText.
pgprim(* | bitmap )(pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
| Implementation of pgBitmap.
pgprim(* | rotatebitmap )(pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
| Implementation of pgRotateBitmap.
pgprim(* | tilebitmap )(pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
| Implementation of pgTileBitmap.
pgprim(* | gradient )(pgcontext c, pgu x, pgu y, pgu w, pgu h, pgu angle, pgcolor c1, pgcolor c2)
| Implementation of pgGradient.
pgprim(* | blur )(pgcontext c, pgu x, pgu y, pgu w, pgu h, pgu radius)
| Implementation of pgBlur.
pgprim(* | setcolor )(pgcontext c, pgcolor color)
| Implementation of pgSetColor nonvisual primitive.
pgprim(* | setfont )(pgcontext c, pghandle font)
| Implementation of pgSetFont nonvisual primitive.
pgprim(* | setlgop )(pgcontext c, short lgop)
| Implementation of pgSetLgop nonvisual primitive.
pgprim(* | setangle )(pgcontext c, pgu angle)
| Implementation of pgSetAngle nonvisual primitive.
pgprim(* | setsrc )(pgcontext c, pgu x, pgu y, pgu w, pgu h)
| Implementation of pgSetSrc nonvisual primitive.
pgprim(* | setmapping )(pgcontext c, pgu x, pgu y, pgu w, pgu h, short type)
| Implementation of pgSetMapping nonvisual primitive.
pgprim(* | setclip )(pgcontext c, pgu x, pgu y, pgu w, pgu h)
| Implementation of pgSetClip nonvisual primitive.
void(* | update )(pgcontext c)
| Implementation of pgUpdate.

## Detailed Description

Defines the rendering backend.

pgfx_lib defines the set of functions a PGFX backend needs to implement.

See also:
  pgPixel, pgLine, pgRect, pgFrame, pgSlab, pgBar, pgText, pgBitmap, pgRotateBitmap, pgTileBitmap, pgGradient

## Member Data Documentation

pgprim(* pgfx_lib::bar)(pgcontext c, pgu x, pgu y, pgu h)

| Implementation of pgBar.

pgprim(* pgfx_lib::bitmap)(pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)

| Implementation of pgBitmap.

pgprim(* pgfx_lib::blur)(pgcontext c, pgu x,pgu y,pgu w,pgu h,pgu radius)

| Implementation of pgBlur.

pgprim(* pgfx_lib::ellipse)(pgcontext c, pgu x, pgu y, pgu w, pgu h)

| Implementation of pgEllipse.

pgprim(* pgfx_lib::fellipse)(pgcontext c, pgu x, pgu y, pgu w, pgu h)

| Implementation of pgFEllipse.

pgprim(* pgfx_lib::fpolygon)(pgcontext c, pghandle array)

| Implementation of pgFPolygon.

pgprim(* pgfx_lib::frame)(pgcontext c, pgu x, pgu y, pgu w, pgu h)

| Implementation of pgFrame.

pgprim(* pgfx_lib::gradient)(pgcontext c, pgu x, pgu y, pgu w, pgu h, pgu angle, pgcolor c1, pgcolor c2)

| Implementation of pgGradient.

pgprim(* pgfx_lib::line)(pgcontext c, pgu x1, pgu y1, pgu x2, pgu y2)

| Implementation of pgLine.

pgprim(* pgfx_lib::pixel)(pgcontext c, pgu x, pgu y)

| Implementation of pgPixel.

pgprim(* pgfx_lib::rect)(pgcontext c, pgu x, pgu y, pgu w, pgu h)

| Implementation of pgRect.

pgprim(* pgfx_lib::rotatebitmap)(pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)

| Implementation of pgRotateBitmap.

pgprim(* pgfx_lib::setangle)(pgcontext c, pgu angle)

| Implementation of pgSetAngle nonvisual primitive.

pgprim(* pgfx_lib::setclip)(pgcontext c, pgu x,pgu y,pgu w,pgu h)

| Implementation of pgSetClip nonvisual primitive.

pgprim(* pgfx_lib::setcolor)(pgcontext c, pgcolor color)

| Implementation of pgSetColor nonvisual primitive.

pgprim(* pgfx_lib::setfont)(pgcontext c, pghandle font)

| Implementation of pgSetFont nonvisual primitive.

pgprim(* pgfx_lib::setlgop)(pgcontext c, short lgop)

| Implementation of pgSetLgop nonvisual primitive.

pgprim(* pgfx_lib::setmapping)(pgcontext c, pgu x,pgu y,pgu w,pgu h,short type)

| Implementation of pgSetMapping nonvisual primitive.

pgprim(* pgfx_lib::setsrc)(pgcontext c, pgu x,pgu y,pgu w,pgu h)

| Implementation of pgSetSrc nonvisual primitive.

pgprim(* pgfx_lib::slab)(pgcontext c, pgu x, pgu y, pgu w)

| Implementation of pgSlab.

pgprim(* pgfx_lib::text)(pgcontext c, pgu x, pgu y, pghandle string)

| Implementation of pgText.

pgprim(* pgfx_lib::tilebitmap)(pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)

| Implementation of pgTileBitmap.

void(* pgfx_lib::update)(pgcontext c)

| Implementation of pgUpdate.

The documentation for this struct was generated from the following file:

- /home/micah/picogui/pg1/client/c/include/picogui/pgfx.h